POST api/NTCosCompany/PostArticleCorporation

Request Information

URI Parameters

None.

Body Parameters

CorporationArticleDTO
NameDescriptionTypeAdditional information
Id

integer

None.

ArticleTypeId

integer

None.

ArticleTypeCode

string

String length: inclusive between 0 and 200

CorporationCode

string

String length: inclusive between 0 and 20

StandardArticleText

string

String length: inclusive between 0 and 4000

ArticleText

string

String length: inclusive between 0 and 4000

ArticleTypeName

string

String length: inclusive between 0 and 100

Sequence

integer

None.

IsCustom

boolean

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "ArticleTypeId": 2,
  "ArticleTypeCode": "sample string 3",
  "CorporationCode": "sample string 4",
  "StandardArticleText": "sample string 5",
  "ArticleText": "sample string 6",
  "ArticleTypeName": "sample string 7",
  "Sequence": 8,
  "IsCustom": true,
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:30:59.0862881-07:00",
  "DateUpdated": "2026-08-04T14:30:59.0862881-07:00",
  "UserIDCreated": 13,
  "UserIDUpdated": 14,
  "CompanyCode": "sample string 15",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfCorporationArticleDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

CorporationArticleDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "ArticleTypeId": 2,
    "ArticleTypeCode": "sample string 3",
    "CorporationCode": "sample string 4",
    "StandardArticleText": "sample string 5",
    "ArticleText": "sample string 6",
    "ArticleTypeName": "sample string 7",
    "Sequence": 8,
    "IsCustom": true,
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:30:59.101931-07:00",
    "DateUpdated": "2026-08-04T14:30:59.101931-07:00",
    "UserIDCreated": 13,
    "UserIDUpdated": 14,
    "CompanyCode": "sample string 15",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}